[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/bootparamd/devel bootparamd.init,1.2,1.3



Author: odvorace

Update of /cvs/extras/rpms/bootparamd/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv27547

Modified Files:
	bootparamd.init 
Log Message:
Fixed bug #237824


Index: bootparamd.init
===================================================================
RCS file: /cvs/extras/rpms/bootparamd/devel/bootparamd.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bootparamd.init	9 Sep 2004 03:36:39 -0000	1.2
+++ bootparamd.init	30 May 2007 13:00:21 -0000	1.3
@@ -13,19 +13,19 @@
 # Get config.
 . /etc/sysconfig/network
 
-# Require /etc/bootparams
-[ -f /etc/bootparams ] || exit 0
-
-# Check that networking is up.
-if [ ${NETWORKING} = "no" ]
-then
-	exit 0
-fi
-
 prog="bootparamd"
 RETVAL=0
 
 start() {
+	# Require /etc/bootparams
+	[ -f /etc/bootparams ] ||  exit 6
+		
+	# Check that networking is up.
+	if [ ${NETWORKING} = "no" ]
+	then
+		exit 1
+	fi
+	
 	echo -n $"Starting $prog: "
 	daemon rpc.bootparamd
 	RETVAL=$?
@@ -66,8 +66,8 @@
   	[ -f /var/lock/subsys/bootparamd ] && restart || :
 	;;
   *)
-	echo $"Usage: $0 {start|stop|status|restart|reload}"
-	exit 1
+	echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
+	exit 3
 	;;
 esac
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]